import { TdChartOptionsService, TdCoordinateSystem, TdMarkPointSymbol, ITdMarkPoint, ITdItemStyle, ITdLabel, ITdEmphasis, TdSeriesLayoutBy, ITdMarkLine, ITdMarkArea, TdSeriesDirective, ITdSeries } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export interface ITdScatterSeries extends ITdSeries {
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    polarIndex?: number;
    geoIndex?: number;
    calendarIndex?: number;
    hoverAnimation?: boolean;
    legendHoverLink?: boolean;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number | any[] | Function;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    large?: boolean;
    largeThreshold?: number;
    cursor?: string;
    connectNulls?: boolean;
    clipOverflow?: boolean;
    step?: boolean;
    label?: ITdLabel;
    itemStyle?: any;
    emphasis?: ITdEmphasis;
    progressive?: number;
    progressiveThreshold?: number;
    dimensions?: any[];
    encode?: any;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    data?: any[];
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    silent?: boolean;
}
export declare class TdChartSeriesScatterComponent extends TdSeriesDirective implements ITdScatterSeries {
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    polarIndex?: number;
    geoIndex?: number;
    calendarIndex?: number;
    hoverAnimation?: boolean;
    legendHoverLink?: boolean;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number | any[] | Function;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    large?: boolean;
    largeThreshold?: number;
    cursor?: string;
    label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdEmphasis;
    progressive?: number;
    progressiveThreshold?: number;
    dimensions?: any[];
    encode?: any;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    silent?: boolean;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesScatterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesScatterComponent, "td-chart-series[td-scatter]", never, { "config": "config"; "id": "id"; "name": "name"; "color": "color"; "data": "data"; "animation": "animation"; "animationThreshold": "animationThreshold"; "animationDuration": "animationDuration"; "animationEasing": "animationEasing"; "animationDelay": "animationDelay"; "animationDurationUpdate": "animationDurationUpdate"; "animationEasingUpdate": "animationEasingUpdate"; "animationDelayUpdate": "animationDelayUpdate"; "tooltip": "tooltip"; "coordinateSystem": "coordinateSystem"; "xAxisIndex": "xAxisIndex"; "yAxisIndex": "yAxisIndex"; "polarIndex": "polarIndex"; "geoIndex": "geoIndex"; "calendarIndex": "calendarIndex"; "hoverAnimation": "hoverAnimation"; "legendHoverLink": "legendHoverLink"; "symbol": "symbol"; "symbolSize": "symbolSize"; "symbolRotate": "symbolRotate"; "symbolKeepAspect": "symbolKeepAspect"; "symbolOffset": "symbolOffset"; "large": "large"; "largeThreshold": "largeThreshold"; "cursor": "cursor"; "label": "label"; "itemStyle": "itemStyle"; "emphasis": "emphasis"; "progressive": "progressive"; "progressiveThreshold": "progressiveThreshold"; "dimensions": "dimensions"; "encode": "encode"; "seriesLayoutBy": "seriesLayoutBy"; "datasetIndex": "datasetIndex"; "markPoint": "markPoint"; "markLine": "markLine"; "markArea": "markArea"; "zlevel": "zlevel"; "z": "z"; "silent": "silent"; }, {}, never, never, false>;
}
