import { TdChartOptionsService, ITdItemStyle, TdMarkPointSymbol, ITdLabel, ITdLineStyle, ITdSeries, TdSeriesDirective, ITdEmphasis, ITdShadow } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
/**
 * ECHART OPTION DOCS
 * https://ecomfe.github.io/echarts-doc/public/en/option.html#series-tree
 *
 */
/**
 * LR - from left to right
 * RL - from right to left
 * TB - from top to bottom
 * BT - from bottom to top
 */
export declare type TdTreeOrient = 'LR' | 'RL' | 'TB' | 'BT';
export declare type TdTreeLayout = 'orthogonal' | 'radial';
export interface ITdTreeEmphasisLineStyle extends ITdShadow {
    color?: any;
    width?: number;
    curveness?: number;
}
export interface ITdTreeEmphasis extends ITdEmphasis {
    lineStyle: ITdTreeEmphasisLineStyle;
}
export interface ITdTreeLeaves {
    label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdEmphasis;
}
interface ITdTreeSeries extends ITdSeries {
    zlevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    layout?: TdTreeLayout;
    orient?: TdTreeOrient;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    roam?: boolean | string;
    expandAndCollapse?: boolean;
    initialTreeDepth?: number;
    itemStyle?: ITdItemStyle;
    label?: ITdLabel;
    lineStyle?: ITdLineStyle;
    leaves?: ITdTreeLeaves;
    emphasis?: ITdTreeEmphasis;
    data?: any[];
}
export declare class TdChartSeriesTreeComponent extends TdSeriesDirective implements ITdTreeSeries {
    zlevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    layout?: TdTreeLayout;
    orient?: TdTreeOrient;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    roam?: boolean | string;
    expandAndCollapse?: boolean;
    initialTreeDepth?: number;
    itemStyle?: ITdItemStyle;
    label?: ITdLabel;
    lineStyle?: ITdLineStyle;
    leaves?: ITdTreeLeaves;
    emphasis?: ITdTreeEmphasis;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesTreeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesTreeComponent, "td-chart-series[td-tree]", never, { "config": "config"; "id": "id"; "name": "name"; "color": "color"; "data": "data"; "animation": "animation"; "animationThreshold": "animationThreshold"; "animationDuration": "animationDuration"; "animationEasing": "animationEasing"; "animationDelay": "animationDelay"; "animationDurationUpdate": "animationDurationUpdate"; "animationEasingUpdate": "animationEasingUpdate"; "animationDelayUpdate": "animationDelayUpdate"; "tooltip": "tooltip"; "zlevel": "zlevel"; "z": "z"; "left": "left"; "top": "top"; "right": "right"; "bottom": "bottom"; "width": "width"; "height": "height"; "layout": "layout"; "orient": "orient"; "symbol": "symbol"; "symbolSize": "symbolSize"; "symbolRotate": "symbolRotate"; "symbolKeepAspect": "symbolKeepAspect"; "roam": "roam"; "expandAndCollapse": "expandAndCollapse"; "initialTreeDepth": "initialTreeDepth"; "itemStyle": "itemStyle"; "label": "label"; "lineStyle": "lineStyle"; "leaves": "leaves"; "emphasis": "emphasis"; }, {}, never, never, false>;
}
export {};
